// LKSampleBMDlg.h : header file
//

#if !defined(AFX_LKSAMPLEBMDLG_H__4094EA38_C78B_4A74_B313_AAA3E9900235__INCLUDED_)
#define AFX_LKSAMPLEBMDLG_H__4094EA38_C78B_4A74_B313_AAA3E9900235__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CLKSampleBMDlg dialog

class CLKSampleBMDlg : public CDialog
{
// Construction
public:
	CLKSampleBMDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CLKSampleBMDlg)
	enum { IDD = IDD_LKSAMPLEBM_DIALOG };
	CComboBox	m_cboPort;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLKSampleBMDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CLKSampleBMDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonOpen();
	afx_msg void OnButtonClose();
	afx_msg void OnPrinttext();
	afx_msg void OnPrintBitmap();
	afx_msg void OnPrintbarcode();
	afx_msg void OnPrintsample();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LKSAMPLEBMDLG_H__4094EA38_C78B_4A74_B313_AAA3E9900235__INCLUDED_)
